
Figure - Bug #115148
【AF】【EVT2】【BT】【音乐】【必现】微件播放音乐，控制中心控件不显示音乐进度
2023-01-06 20:38 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2023-01-06

Priority: Normal Due date: 2023-02-03

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301060629

Resolution: FIXED Degrated: No

Severity: Minor Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-01-28

Test Type: ST Root cause: 音乐播放器进度同步控制器问题导致。

Description

【前提条件】

1.测试机中有3首歌曲

2.播放器设置"关闭循环播放"，关闭“随机播放”

3.连接蓝牙音响

【测试步骤】

1.进入音乐播放器播放音乐，播放最后一首歌

2.长按Launcher添加音乐微件

3.等待播放停止

4.点击微件，播放歌曲

5.观察播放现象

【预期结果】

5.微件有音乐信息显示，显示正在播放音乐； 控制中心有音乐信息显示，显示音乐进度

【实际结果】

5.控制中心一直显示播放进度4:23/4:23，实际在播放音乐

【复现概率次数】1/20，

【恢复方式】点击控制中心控件的暂停再播放，显示正常音乐进度。见截图和视频

【蓝牙耳机】shinco

【BUG发生时间点】在log的这个20230106-084926 附近20秒

History

#1 - 2023-01-09 16:18 - CDTS_TEST 刘勇

- Category set to CD-APP

#2 - 2023-01-11 20:40 - CDTS-TEST 周婷

- Category changed from CD-APP to AUDIO-FW

#3 - 2023-01-13 14:38 - CD MM陈海波

- Category changed from AUDIO-FW to CD-FW

- Assignee changed from CD MM陈海波 to CD FW 曹覃刚

Hi, 覃刚,
此问题从现象去分析, 应该是systemui所实现的逻辑. 

麻烦确认下. 

如果和audioservice相关, 到时再转回给我咯.

多谢!

#4 - 2023-01-16 19:34 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#5 - 2023-01-17 11:20 - CD FW 曹覃刚

- Due date set to 2023-02-03

#6 - 2023-01-19 18:51 - CD FW-廖涛

- % Done changed from 0 to 60

#7 - 2023-01-29 09:52 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_TEST 刘勇

- % Done changed from 60 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-28

- Root cause set to 音乐播放器进度同步控制器问题导致。

■ Current conclusion

已处理。

■ My analysis

音乐播放器进度同步控制器问题导致。

■ Next action

测试验证。

#8 - 2023-01-29 17:18 - 移动测试一组_CDTS 刘强

- Assignee changed from CDTS_TEST 刘勇 to 移动测试一组_CDTS 刘强

#9 - 2023-01-29 17:30 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301191306

验证结果：验证通过

#10 - 2023-01-29 17:30 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

Screenshot_20230106-084922.png 1.48 MB 2023-01-06 CDTS_TEST 刘勇
Screenshot_20230106-084926.png 453 KB 2023-01-06 CDTS_TEST 刘勇

tlog_sts40x190086_002_0106085718.tar.gz 8.82 MB 2023-01-06 CDTS_TEST 刘勇

中科创达软件股份有限公司20230106-203720.mp4 3.18 MB 2023-01-06 CDTS_TEST 刘勇

2025-07-04 3/3


